Skip to main content
GET
/
member-invitations
/
{invitation_id}
Get a member invitation
curl --request GET \
  --url https://{tenantDomain}/my-org/v1/member-invitations/{invitation_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "uinv_12345678abcdefgh",
  "organization_id": "org_12345678abcdefgh",
  "inviter": {
    "name": "Allison the Admin"
  },
  "invitee": {
    "email": "user@example.com"
  },
  "identity_provider_id": "con_2CZPv6IY0gWzDaQJ",
  "created_at": "2025-04-11T20:11:45.431Z",
  "expires_at": "2025-04-11T20:11:45.431Z",
  "roles": [
    "rol_BKW1BKIfBKd0BaI0"
  ],
  "invitation_url": "https://example.auth0.com/login?invitation=uinv_12345678abcdefgh&organization=org_12345678abcdefgh",
  "ticket_id": "1asdfasd23usjdef"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

invitation_id
string
required
read-only

The id of the member invitation

Pattern: ^uinv_[A-Za-z0-9]{16}$

Query Parameters

fields
string

Comma-separated list of fields to include or exclude (based on value provided for include_fields) in the result. Leave empty to retrieve all fields. Note: you cannot filter on ticket_id and this value will only be returned when fields are not filtered.

Required string length: 1 - 255
Pattern: ^(id|organization_id|inviter|invitee|identity_provider_id|created_at|expires_at|roles|invitation_url)(,(id|organization_id|inviter|invitee|identity_provider_id|created_at|expires_at|roles|invitation_url))*$
include_fields
boolean
default:true

Whether specified fields are to be included (true) or excluded (false). Defaults to true

Response

Get Member Invitation for an Organization by Id.

id
string
read-only

The id of the member invitation

Pattern: ^uinv_[A-Za-z0-9]{16}$
organization_id
string
read-only

Organization identifier.

Pattern: ^org_[A-Za-z0-9]{16}$
inviter
object
invitee
object
identity_provider_id
string
read-only

Identity provider identifier.

Pattern: ^con_[A-Za-z0-9]{16}$
created_at
string<date-time>

The ISO 8601 formatted timestamp representing the creation time of the invitation.

expires_at
string<date-time>

The ISO 8601 formatted timestamp representing the expiration time of the invitation.

roles
string[]
read-only

The ID of a role that can be assigned to a member of an organization.

Pattern: ^rol_[A-Za-z0-9]{16}$
invitation_url
string<uri>

The invitation url to be sent to the invitee.

ticket_id
string

The ID of the invitation ticket.